## org.cybergarage.util
Class ThreadCore

    java.lang.Object
      org.cybergarage.util.ThreadCore

All Implemented Interfaces:
  Runnable

Direct Known Subclasses:
  Advertiser, Disposer, RenewSubscriber

    public class ThreadCore

extends Object
implements Runnable

Constructor Summary
`ThreadCore()`

Method Summary
`Thread` `getThreadObject()`
`boolean` `isRunnable()`
`void` `restart()`
`void` `run()`
`void` `setThreadObject(Thread obj)`
`void` `start()`
`void` `stop()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ThreadCore

    public ThreadCore()

Method Detail

### setThreadObject

    public void setThreadObject(Thread obj)

### getThreadObject

    public Thread getThreadObject()

### start

    public void start()

### run

    public void run()

  Specified by:
    `run` in interface `Runnable`

### isRunnable

    public boolean isRunnable()

### stop

    public void stop()

### restart

    public void restart()